Get deployment events
GET
https://api.vercel.com/v3/deployments/{idOrUrl}/eventsGet the build logs of a deployment by deployment ID and build ID. It can work as an infinite stream of logs or as a JSON endpoint depending on the input parameters.
https://api.vercel.com/v3/deployments/{idOrUrl}/events
const response = await fetch('https://api.vercel.com/v3/deployments/idOrUrl/events?direction=string&follow=123&limit=123&name=string&since=123&until=123&statusCode=value&delimiter=123&builds=123&teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
[ { "created": "123", "payload": { "created": "123", "date": "123", "deploymentId": "example_id", "id": "icfg_1234567890", "info": { "entrypoint": "string", "name": "Example Name", "path": "string", "readyState": "string", "serviceName": "Example Name", "step": "string", "type": "string" }, "proxy": { "cacheId": "example_id", "clientIp": "string", "host": "string", "lambdaRegion": "string", "method": "string", "path": "string", "pathType": "string", "pathTypeVariant": "string", "referer": "string", "region": "string", "responseByteSize": "123", "scheme": "string", "statusCode": "123", "timestamp": "123", "userAgent": [], "vercelCache": "BYPASS", "vercelId": "example_id", "wafAction": "bypass", "wafRuleId": "example_id" }, "requestId": "example_id", "serial": "string", "statusCode": "123", "text": "string" }, "type": "command" }]AuthorizationbearerToken
Default authentication mechanism